extends Node2D

var player_class = preload("res://player.gd")
var deck_input = preload("res://deck_input.gd")
var _caching = preload("res://caching.gd")


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	var cache = _caching.new()
	add_child(cache)
	cache.get_bulk_data(false)
	# TODO: Create 2-4 player instances as children of this tabletop node.

	var player = player_class.new()
	add_child(player)
	move_child(player, 0)
	
	cache.get_card_data_from_name("1996 World Champion")
	
	var deck = deck_input.new()
	add_child(deck)
	

	pass  # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	pass
